www/wslay - The NetBSD Packages Collection

WebSocket library written in C

Wslay is a WebSocket library written in C. It implements the protocol version
13 described in RFC 6455. This library offers 2 levels of API: event-based API
and frame-based low-level API. For event-based API, it is suitable for
non-blocking reactor pattern style. You can set callbacks in various events.
For frame-based API, you can send WebSocket frame directly. Wslay only supports
data transfer part of WebSocket protocol and does not perform opening handshake
in HTTP.

Wslay supports:
* Text/Binary messages.
* Automatic ping reply.
* Callback interface.
* External event loop.

Wslay does not perform any I/O operations for its own. Instead, it
offers callbacks for them. This makes Wslay independent on any I/O
frameworks, SSL, sockets, etc.  This makes Wslay protable across
various platforms and the application authors can choose freely I/O
frameworks.

Build dependencies

pkgtools/cwrappers devel/libtool-base devel/pkgconf

Runtime dependencies

(none)

Available binary packages

aarch64:wslay-1.1.0.tgz(NetBSD 9.0)
aarch64:wslay-1.1.1.tgz(NetBSD 9.0)
aarch64:wslay-1.1.1.tgz(NetBSD 9.0)
alpha:wslay-1.1.1.tgz(NetBSD 9.0)
alpha:wslay-1.1.0.tgz(NetBSD 9.0)
alpha:wslay-1.1.1.tgz(NetBSD 9.0)
earm:wslay-1.1.1.tgz(NetBSD 9.0)
earm:wslay-1.1.0.tgz(NetBSD 9.0)
earmv6hf:wslay-1.1.1.tgz(NetBSD 9.0)
earmv6hf:wslay-1.1.0.tgz(NetBSD 9.0)
earmv6hf:wslay-1.1.1.tgz(NetBSD 9.0)
earmv6hf:wslay-1.1.1.tgz(NetBSD 9.0)
earmv7hf:wslay-1.1.1.tgz(NetBSD 8.0)
earmv7hf:wslay-1.1.0.tgz(NetBSD 8.0)
earmv7hf:wslay-1.1.0.tgz(NetBSD 8.0)
earmv7hf:wslay-1.1.1.tgz(NetBSD 8.0)
earmv7hf:wslay-1.1.1.tgz(NetBSD 9.0)
earmv7hf:wslay-1.1.0.tgz(NetBSD 9.0)
earmv7hf:wslay-1.1.0.tgz(NetBSD 9.0)
earmv7hf:wslay-1.1.1.tgz(NetBSD 9.0)
earmv7hf:wslay-1.1.1.tgz(NetBSD 9.0)
i386:wslay-1.1.0.tgz(NetBSD 8.0)
i386:wslay-1.1.1.tgz(NetBSD 8.0)
i386:wslay-1.1.1.tgz(NetBSD 8.0)
i386:wslay-1.1.0.tgz(NetBSD 9.0)
i386:wslay-1.1.1.tgz(NetBSD 9.0)
i386:wslay-1.1.1.tgz(NetBSD 9.0)
mips64eb:wslay-1.1.1.tgz(NetBSD 9.0)
mips64eb:wslay-1.1.1.tgz(NetBSD 9.0)
powerpc:wslay-1.1.1.tgz(NetBSD 8.0)
powerpc:wslay-1.1.1.tgz(NetBSD 8.0)
powerpc:wslay-1.1.1.tgz(NetBSD 9.0)
powerpc:wslay-1.1.0.tgz(NetBSD 9.0)
sparc64:wslay-1.1.1.tgz(NetBSD 9.0)
sparc64:wslay-1.1.0.tgz(NetBSD 9.0)
sparc64:wslay-1.1.1.tgz(NetBSD 9.0)
sparc:wslay-1.1.1.tgz(NetBSD 9.0)
sparc:wslay-1.1.0.tgz(NetBSD 9.0)
x86_64:wslay-1.1.1.tgz(NetBSD 9.0)
x86_64:wslay-1.1.1.tgz(NetBSD 9.0)
x86_64:wslay-1.1.1.tgz(NetBSD 9.0)
x86_64:wslay-1.1.1.tgz(NetBSD 9.0)
x86_64:wslay-1.1.1.tgz(NetBSD 8.0)
x86_64:wslay-1.1.0.tgz(NetBSD 8.0)
x86_64:wslay-1.1.1.tgz(NetBSD 8.0)
x86_64:wslay-1.1.0.tgz(NetBSD 9.0)
x86_64:wslay-1.1.1.tgz(NetBSD 9.0)
x86_64:wslay-1.1.1.tgz(NetBSD 9.0)
x86_64:wslay-1.1.1.tgz(NetBSD 9.0)

Binary packages can be installed with pkgin or pkg_add(1). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.


[ Go up one level | Go to top of packages tree | List all packages ]